{
  "accUserMode" : 2,
  "getCapPSLanguageRes" : {
    "lanResTag" : "DE.LNAME.SONG"
  },
  "caption" : "歌曲",
  "codeName" : "SongGridView",
  "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongGridView.json",
  "funcViewMode" : "MDATAVIEW",
  "gridRowActiveMode" : 2,
  "name" : "SongGridView",
  "getPSAppDataEntity" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
  },
  "getPSAppModule" : {
    "modelref" : true,
    "path" : "PSSYSAPPS/Web/PSAPPMODULES/Test.json"
  },
  "getPSDEViewCodeName" : "GridView",
  "getPSDEViewId" : "999e750a4646050c5e5f9f00acb8b0fc",
  "getPSViewLayoutPanel" : {
    "codeName" : "Usr0311007862",
    "controlType" : "VIEWLAYOUTPANEL",
    "layoutMode" : "FLEX",
    "logicName" : "GridView表格视图布局",
    "name" : "layoutpanel",
    "getPSAppDataEntity" : {
      "modelref" : true,
      "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
    },
    "getPSControlParam" : { },
    "getPSLayout" : {
      "layout" : "FLEX"
    },
    "getRootPSPanelItems" : [ {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_header",
      "getPSLayout" : {
        "align" : "space-between",
        "dir" : "row",
        "layout" : "FLEX",
        "vAlign" : "center"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_left",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_captionbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "页面标题",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "captionbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      }, {
        "caption" : "容器",
        "itemStyle" : "DEFAULT",
        "itemType" : "CONTAINER",
        "name" : "view_header_right",
        "getPSLayout" : {
          "layout" : "FLEX"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "heightMode" : "FULL",
          "layout" : "FLEX"
        },
        "getPSPanelItems" : [ {
          "caption" : "容器",
          "itemStyle" : "DEFAULT",
          "itemType" : "CONTAINER",
          "name" : "view_toolbar",
          "getPSLayout" : {
            "align" : "center",
            "layout" : "FLEX"
          },
          "getPSLayoutPos" : {
            "grow" : -1,
            "heightMode" : "FULL",
            "layout" : "FLEX"
          },
          "getPSPanelItems" : [ {
            "caption" : "工具栏",
            "itemStyle" : "DEFAULT",
            "itemType" : "CTRLPOS",
            "name" : "toolbar",
            "getPSLayoutPos" : {
              "grow" : -1,
              "layout" : "FLEX"
            },
            "showCaption" : true
          } ]
        } ]
      }, {
        "actionType" : "UIACTION",
        "buttonStyle" : "DEFAULT",
        "caption" : "按钮",
        "itemStyle" : "DEFAULT",
        "itemType" : "BUTTON",
        "name" : "button_calluilogic",
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "layoutpanel_button_calluilogic"
        },
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "getPSUIAction" : {
          "actionTarget" : "NONE",
          "caption" : "cc",
          "codeName" : "cc",
          "fullCodeName" : "Song_cc",
          "name" : "cc",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Cc"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "timeout" : 60000,
          "uIActionMode" : "BACKEND",
          "uIActionTag" : "cc",
          "uIActionType" : "DEUIACTION",
          "enableConfirm" : true,
          "id" : "cc@Song"
        },
        "tooltip" : "按钮",
        "uIActionTarget" : "NONE",
        "showCaption" : true
      } ],
      "predefinedType" : "VIEWHEADER"
    }, {
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_searchform",
      "getPSLayout" : {
        "dir" : "column",
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : -1,
        "layout" : "FLEX",
        "shrink" : 0
      },
      "getPSPanelItems" : [ {
        "caption" : "搜索表单",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "searchform",
        "getPSLayoutPos" : {
          "grow" : -1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ]
    }, {
      "caption" : "容器",
      "itemStyle" : "DEFAULT",
      "itemType" : "CONTAINER",
      "name" : "view_content",
      "getPSLayout" : {
        "layout" : "FLEX"
      },
      "getPSLayoutPos" : {
        "grow" : 1,
        "layout" : "FLEX"
      },
      "getPSPanelItems" : [ {
        "caption" : "表格",
        "itemStyle" : "DEFAULT",
        "itemType" : "CTRLPOS",
        "name" : "grid",
        "getPSLayoutPos" : {
          "grow" : 1,
          "layout" : "FLEX"
        },
        "showCaption" : true
      } ],
      "predefinedType" : "VIEWCONTENT"
    } ],
    "layoutBodyOnly" : false,
    "layoutPanel" : true,
    "useDefaultLayout" : false,
    "viewProxyMode" : true,
    "modelid" : "22E57B06-962A-4498-9900-25D65607744A",
    "modeltype" : "PSSYSVIEWLAYOUTPANEL",
    "getPSAppViewEngines" : [ {
      "engineCat" : "VIEW",
      "engineType" : "GridView",
      "name" : "engine"
    } ],
    "getPSAppViewLogics" : [ {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "newdata",
      "getPSAppUILogic" : {
        "actionAfterWizard" : "DEFAULT",
        "logicType" : "PREDEFINED",
        "name" : "新建数据",
        "getNewDataPSAppView" : {
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "viewLogicType" : "APP_NEWDATA",
        "batchAddOnly" : false,
        "enableBatchAdd" : false,
        "enableWizardAdd" : false
      }
    }, {
      "logicTrigger" : "CUSTOM",
      "logicType" : "APPUILOGIC",
      "name" : "opendata",
      "getPSAppUILogic" : {
        "logicType" : "PREDEFINED",
        "name" : "打开数据",
        "getOpenDataPSAppView" : {
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        },
        "getPSAppUILogicRefViews" : [ {
          "openMode" : "INDEXVIEWTAB_POPUPMODAL",
          "getRefPSAppView" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
            "viewType" : "DEEDITVIEW"
          }
        } ],
        "viewLogicType" : "APP_OPENDATA",
        "editMode" : true
      }
    } ],
    "getPSAppViewRefs" : [ {
      "name" : "EDITDATA",
      "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
      "realTitle" : "歌曲编辑视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.SONG.EDITVIEW"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    }, {
      "name" : "NEWDATA",
      "realOpenMode" : "INDEXVIEWTAB_POPUPMODAL",
      "realTitle" : "歌曲编辑视图",
      "getRealTitlePSLanguageRes" : {
        "lanResTag" : "PAGE.TITLE.SONG.EDITVIEW"
      },
      "getRefPSAppView" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
        "viewType" : "DEEDITVIEW"
      }
    } ],
    "getPSControls" : [ {
      "codeName" : "GridViewtoolbar",
      "controlType" : "TOOLBAR",
      "logicName" : "导入测试工具栏",
      "name" : "toolbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
      },
      "getPSControlParam" : {
        "id" : "TOOLBAR"
      },
      "getPSDEToolbarItems" : [ {
        "caption" : "表格导入",
        "groupExtractMode" : "ITEM",
        "itemType" : "DEUIACTION",
        "name" : "deuiaction1",
        "noPrivDisplayMode" : 2,
        "getPSAppViewUIAction" : {
          "modelref" : true,
          "id" : "toolbar_deuiaction1"
        },
        "getPSSysImage" : {
          "glyph" : "xf093@FontAwesome",
          "cssClass" : "fa fa-upload"
        },
        "getPSUIAction" : {
          "caption" : "数据导入",
          "codeName" : "Import",
          "fullCodeName" : "Import",
          "name" : "表格界面_数据导入栏",
          "getPSSysImage" : {
            "glyph" : "xf093@FontAwesome",
            "cssClass" : "fa fa-upload"
          },
          "predefinedType" : "GRIDVIEW_IMPORTBAR",
          "timeout" : 60000,
          "uIActionMode" : "SYS",
          "uIActionTag" : "Import",
          "uIActionType" : "DEUIACTION"
        },
        "tooltip" : "表格导入",
        "showCaption" : true,
        "showIcon" : true
      }, {
        "itemType" : "ITEMS",
        "name" : "items1",
        "getPSDEToolbarItems" : [ {
          "caption" : "导入1",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_deuiaction2"
          },
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "导入",
            "codeName" : "importData1",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPUTILVIEWS/AppDataUploadView.json",
              "viewType" : "APPDATAUPLOADVIEW"
            },
            "frontProcessType" : "DATAIMP",
            "fullCodeName" : "FILE_importData1",
            "name" : "自定义导入",
            "getPSAppDEDataImport" : {
              "modelref" : true,
              "id" : "DataImport"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
            },
            "refreshMode" : 1,
            "uIActionMode" : "FRONT",
            "uIActionTag" : "importData1",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "reloadData" : true,
            "id" : "importData1@FILE"
          },
          "tooltip" : "导入1",
          "uIActionTarget" : "NONE",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "导入2",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "toolbar_deuiaction3"
          },
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "导入2",
            "codeName" : "importData2",
            "frontProcessType" : "DATAIMP",
            "fullCodeName" : "FILE_importData2",
            "name" : "导入无预定义视图",
            "getPSAppDEDataImport" : {
              "modelref" : true,
              "id" : "DataImport2"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/FILE.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "importData2",
            "uIActionType" : "DEUIACTION",
            "globalUIAction" : true,
            "id" : "importData2@FILE"
          },
          "tooltip" : "导入2",
          "uIActionTarget" : "NONE",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "showCaption" : true,
        "showIcon" : true
      } ],
      "xDataControlName" : "grid",
      "modelid" : "AF06D3C0-1C94-4DF2-A039-7FC8C67B0AD1",
      "modeltype" : "PSDETOOLBAR"
    }, {
      "codeName" : "Default",
      "controlType" : "SEARCHFORM",
      "defaultLabelWidth" : 130,
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song/PSSEARCHFORMS/Default.json",
      "logicName" : "默认搜索表单",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionType" : "FILTERACTION",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGet"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterGetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        }, {
          "actionType" : "FILTERACTION",
          "name" : "search",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FilterSearch"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        } ],
        "enableDEFieldPrivilege" : false,
        "id" : "搜索表单处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "SEARCHFORM"
      },
      "getPSDEFormPages" : [ {
        "getCapPSLanguageRes" : {
          "lanResTag" : "CONTROL.DEFORM.SONG.DEFAULT.FORMPAGE.FORMPAGE1"
        },
        "caption" : "常规条件",
        "codeName" : "formpage1",
        "detailStyle" : "DEFAULT",
        "detailType" : "FORMPAGE",
        "name" : "formpage1",
        "getPSLayout" : {
          "childColMD" : 24,
          "columnCount" : 24,
          "layout" : "TABLE_24COL"
        },
        "infoGroupMode" : false
      } ],
      "getPSLayout" : {
        "childColMD" : 24,
        "columnCount" : 24,
        "layout" : "TABLE_24COL"
      },
      "searchButtonStyle" : "DEFAULT",
      "tabHeaderPos" : "TOP",
      "enableAdvanceSearch" : false,
      "enableAutoSearch" : false,
      "enableFilterSave" : false,
      "noTabHeader" : true,
      "name" : "searchform",
      "modelid" : "3bf8f44d195cfa5377c4437d5214d882",
      "modeltype" : "PSDEFORM_SEARCHFORM"
    }, {
      "aggMode" : "NONE",
      "codeName" : "Main",
      "columnEnableFilter" : 2,
      "columnEnableLink" : 2,
      "controlType" : "GRID",
      "getCreatePSControlAction" : {
        "actionName" : "Create",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "create",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Create"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        }
      },
      "dynaModelFilePath" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song/PSGRIDS/Main.json",
      "getFetchPSControlAction" : {
        "modelref" : true,
        "id" : "fetch",
        "actionType" : "DEDATASET",
        "name" : "fetch",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "FetchDefault"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        }
      },
      "getGetDraftPSControlAction" : {
        "actionName" : "GetDraft",
        "actionType" : "DEACTION",
        "dataAccessAction" : "CREATE",
        "name" : "loaddraft",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "GetDraft"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        }
      },
      "getGetPSControlAction" : {
        "actionName" : "Get",
        "actionType" : "DEACTION",
        "dataAccessAction" : "READ",
        "name" : "load",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Get"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        }
      },
      "groupMode" : "NONE",
      "logicName" : "主表格",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
      },
      "getPSControlHandler" : {
        "getPSHandlerActions" : [ {
          "actionName" : "Get",
          "actionType" : "DEACTION",
          "dataAccessAction" : "READ",
          "name" : "load",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Get"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        }, {
          "actionName" : "Create",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "create",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Create"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        }, {
          "actionName" : "Update",
          "actionType" : "DEACTION",
          "dataAccessAction" : "UPDATE",
          "name" : "update",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Update"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        }, {
          "actionName" : "Remove",
          "actionType" : "DEACTION",
          "dataAccessAction" : "DELETE",
          "name" : "remove",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "Remove"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        }, {
          "actionName" : "GetDraft",
          "actionType" : "DEACTION",
          "dataAccessAction" : "CREATE",
          "name" : "loaddraft",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "GetDraft"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        }, {
          "actionType" : "DEDATASET",
          "name" : "fetch",
          "getPSAppDEMethod" : {
            "modelref" : true,
            "id" : "FetchDefault"
          },
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          }
        } ],
        "userDRAction" : "READ",
        "enableDEFieldPrivilege" : false,
        "id" : "数据表格处理器"
      },
      "getPSControlParam" : {
        "autoLoad" : true,
        "showBusyIndicator" : true,
        "id" : "GRID"
      },
      "getPSControls" : [ {
        "codeName" : "GridViewgrid_batchtoolbar",
        "controlType" : "TOOLBAR",
        "logicName" : "表格批操作工具栏",
        "name" : "grid_batchtoolbar",
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        },
        "getPSControlParam" : {
          "id" : "grid_batchtoolbar"
        },
        "getPSDEToolbarItems" : [ {
          "getCapPSLanguageRes" : {
            "lanResTag" : "TBB.TEXT.*.REMOVE"
          },
          "caption" : "删除",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction1",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "grid_batchtoolbar_deuiaction1"
          },
          "getPSSysImage" : {
            "glyph" : "xf00d@FontAwesome",
            "cssClass" : "fa fa-remove"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "codeName" : "Remove",
            "fullCodeName" : "Remove",
            "name" : "表格界面_删除操作",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "predefinedType" : "GRIDVIEW_REMOVEACTION",
            "timeout" : 60000,
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "uIActionMode" : "SYS",
            "uIActionTag" : "Remove",
            "uIActionType" : "DEUIACTION"
          },
          "tooltip" : "删除",
          "getTooltipPSLanguageRes" : {
            "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
          },
          "uIActionTarget" : "MULTIKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "修改语言",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction2",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "grid_batchtoolbar_deuiaction2"
          },
          "getPSUIAction" : {
            "actionTarget" : "MULTIKEY",
            "caption" : "修改语言",
            "codeName" : "update_lang",
            "getFrontPSAppView" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongupdatelangView.json",
              "viewType" : "DEOPTVIEW"
            },
            "frontProcessType" : "WIZARD",
            "fullCodeName" : "Song_update_lang",
            "name" : "修改语言",
            "getNextPSUIAction" : {
              "modelref" : true,
              "id" : "Refresh"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
            },
            "uIActionMode" : "FRONT",
            "uIActionTag" : "update_lang",
            "uIActionType" : "DEUIACTION",
            "id" : "update_lang@Song"
          },
          "tooltip" : "修改语言",
          "uIActionTarget" : "MULTIKEY",
          "showCaption" : true,
          "showIcon" : true
        }, {
          "caption" : "cc",
          "groupExtractMode" : "ITEM",
          "itemType" : "DEUIACTION",
          "name" : "deuiaction3",
          "noPrivDisplayMode" : 2,
          "getPSAppViewUIAction" : {
            "modelref" : true,
            "id" : "grid_batchtoolbar_deuiaction3"
          },
          "getPSUIAction" : {
            "actionTarget" : "NONE",
            "caption" : "cc",
            "codeName" : "cc",
            "fullCodeName" : "Song_cc",
            "name" : "cc",
            "getPSAppDEMethod" : {
              "modelref" : true,
              "id" : "Cc"
            },
            "getPSAppDataEntity" : {
              "modelref" : true,
              "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
            },
            "timeout" : 60000,
            "uIActionMode" : "BACKEND",
            "uIActionTag" : "cc",
            "uIActionType" : "DEUIACTION",
            "enableConfirm" : true,
            "id" : "cc@Song"
          },
          "tooltip" : "cc",
          "uIActionTarget" : "NONE",
          "showCaption" : true,
          "showIcon" : true
        } ],
        "modelid" : "D4A45681-6C51-4F1A-B850-7FB0BDF56F36",
        "modeltype" : "PSDETOOLBAR"
      } ],
      "getPSDEGridColumns" : [ {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SONGNAME"
        },
        "caption" : "歌曲名称",
        "codeName" : "songname",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "songname",
        "excelCaption" : "歌曲名称",
        "name" : "songname",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "SONGNAME",
          "codeName" : "SongName"
        },
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr1222188930",
          "name" : "测试表格支持行编辑列行为组",
          "getPSAppDataEntity" : {
            "modelref" : true,
            "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
          },
          "getPSUIActionGroupDetails" : [ {
            "caption" : "刷新",
            "detailType" : "DEUIACTION",
            "name" : "u1022215",
            "getPSSysImage" : {
              "glyph" : "xf021@FontAwesome",
              "cssClass" : "fa fa-refresh"
            },
            "getPSUIAction" : {
              "caption" : "刷新",
              "codeName" : "Refresh",
              "fullCodeName" : "Refresh",
              "name" : "表格界面_刷新操作",
              "getPSSysImage" : {
                "glyph" : "xf021@FontAwesome",
                "cssClass" : "fa fa-refresh"
              },
              "predefinedType" : "GRIDVIEW_REFRESHACTION",
              "timeout" : 60000,
              "uIActionMode" : "SYS",
              "uIActionTag" : "Refresh",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "界面行为支持获取编辑列",
            "detailType" : "DEUIACTION",
            "name" : "u0c5beca",
            "getPSUIAction" : {
              "actionTarget" : "NONE",
              "caption" : "界面行为支持获取编辑列",
              "codeName" : "GET_EDITOR_COLUMN",
              "frontProcessType" : "OTHER",
              "fullCodeName" : "GET_EDITOR_COLUMN",
              "memo" : "该界面行为的标识固定为【GET_EDITOR_COLUMN】，同时，该界面行为是配置插件【表格列界面行为支持获取编辑列 】共同使用",
              "name" : "界面行为支持获取编辑列",
              "uIActionMode" : "FRONT",
              "uIActionTag" : "GET_EDITOR_COLUMN",
              "uIActionType" : "DEUIACTION"
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "caption" : "song_changename",
            "detailType" : "DEUIACTION",
            "name" : "ub47f29d",
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "caption" : "song_changename",
              "codeName" : "song_changename",
              "getFrontPSAppView" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDEVIEWS/SongEditView.json",
                "viewType" : "DEEDITVIEW"
              },
              "frontProcessType" : "WIZARD",
              "fullCodeName" : "Song_song_changename",
              "name" : "编辑song_changename",
              "getPSAppDataEntity" : {
                "modelref" : true,
                "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
              },
              "uIActionMode" : "FRONT",
              "uIActionTag" : "song_changename",
              "uIActionType" : "DEUIACTION",
              "id" : "song_changename@Song"
            },
            "addSeparator" : true,
            "showCaption" : true,
            "showIcon" : true
          } ],
          "uniqueTag" : "Song__Usr1222188930"
        },
        "getPSSysImage" : {
          "glyph" : "xf0eb@FontAwesome",
          "cssClass" : "fa fa-lightbulb-o"
        },
        "getPSSysPFPlugin" : {
          "pluginType" : "GRID_COLRENDER",
          "pluginCode" : "COLUMN_ACTION_EDIT",
          "runtimeObject" : true
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "caption" : "语言",
        "codeName" : "language",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "language",
        "excelCaption" : "语言",
        "name" : "language",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/Test__SongLanguage.json"
        },
        "getPSAppDEField" : {
          "name" : "LANGUAGE",
          "codeName" : "Language"
        },
        "getPSDEUIActionGroup" : {
          "codeName" : "Usr1222095635",
          "name" : "通用表格操作列",
          "getPSUIActionGroupDetails" : [ {
            "actionLevel" : 200,
            "buttonStyle" : "DANGER",
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.EDIT"
            },
            "caption" : "编辑",
            "detailType" : "DEUIACTION",
            "name" : "ua19525f",
            "getPSSysImage" : {
              "glyph" : "xf044@FontAwesome",
              "cssClass" : "fa fa-edit"
            },
            "getPSUIAction" : {
              "actionTarget" : "SINGLEKEY",
              "buttonStyle" : "DANGER",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.EDIT"
              },
              "caption" : "编辑",
              "codeName" : "Edit",
              "fullCodeName" : "Edit",
              "name" : "表格界面_编辑操作",
              "getPSSysImage" : {
                "glyph" : "xf044@FontAwesome",
                "cssClass" : "fa fa-edit"
              },
              "predefinedType" : "GRIDVIEW_EDITACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.EDIT"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Edit",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.EDIT"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          }, {
            "actionLevel" : 250,
            "getCapPSLanguageRes" : {
              "lanResTag" : "TBB.TEXT.*.REMOVE"
            },
            "caption" : "删除",
            "detailType" : "DEUIACTION",
            "name" : "u1302c98",
            "getPSSysImage" : {
              "glyph" : "xf00d@FontAwesome",
              "cssClass" : "fa fa-remove"
            },
            "getPSUIAction" : {
              "actionTarget" : "MULTIKEY",
              "getCapPSLanguageRes" : {
                "lanResTag" : "TBB.TEXT.*.REMOVE"
              },
              "caption" : "删除",
              "codeName" : "Remove",
              "fullCodeName" : "Remove",
              "name" : "表格界面_删除操作",
              "getPSSysImage" : {
                "glyph" : "xf00d@FontAwesome",
                "cssClass" : "fa fa-remove"
              },
              "predefinedType" : "GRIDVIEW_REMOVEACTION",
              "timeout" : 60000,
              "getTooltipPSLanguageRes" : {
                "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
              },
              "uIActionMode" : "SYS",
              "uIActionTag" : "Remove",
              "uIActionType" : "DEUIACTION"
            },
            "getTooltipPSLanguageRes" : {
              "lanResTag" : "TBB.TOOLTIP.*.REMOVE"
            },
            "addSeparator" : false,
            "showCaption" : true,
            "showIcon" : true
          } ]
        },
        "getPSSysImage" : {
          "glyph" : "xf207@FontAwesome",
          "cssClass" : "fa fa-bus"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "FRONT",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEMAN"
        },
        "caption" : "更新人",
        "codeName" : "updateman",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updateman",
        "excelCaption" : "更新人",
        "name" : "updateman",
        "noPrivDisplayMode" : 1,
        "getPSAppCodeList" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPCODELISTS/SysOperator.json"
        },
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        },
        "getPSSysImage" : {
          "cssClass" : "fa-solid fa-person-dress"
        },
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.UPDATEDATE"
        },
        "caption" : "更新时间",
        "codeName" : "updatedate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "updatedate",
        "excelCaption" : "更新时间",
        "name" : "updatedate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 150,
        "widthUnit" : "PX",
        "enableSort" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.SONGID"
        },
        "caption" : "歌曲标识",
        "codeName" : "songid",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "songid",
        "excelCaption" : "歌曲标识",
        "hideMode" : 1,
        "name" : "songid",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "SONGID",
          "codeName" : "SongId"
        },
        "width" : 100,
        "widthUnit" : "PX",
        "enableSort" : false,
        "hideDefault" : true
      }, {
        "align" : "LEFT",
        "cLConvertMode" : "NONE",
        "getCapPSLanguageRes" : {
          "lanResTag" : "DEF.LNAME.CREATEDATE"
        },
        "caption" : "建立时间",
        "codeName" : "createdate",
        "columnType" : "DEFGRIDCOLUMN",
        "dataItemName" : "createdate",
        "excelCaption" : "建立时间",
        "name" : "createdate",
        "noPrivDisplayMode" : 1,
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "valueFormat" : "YYYY-MM-DD HH:mm:ss",
        "width" : 100,
        "widthUnit" : "PX",
        "enableRowEdit" : true,
        "enableSort" : true
      } ],
      "getPSDEGridDataItems" : [ {
        "dataType" : 25,
        "name" : "songname",
        "getPSAppDEField" : {
          "name" : "SONGNAME",
          "codeName" : "SongName"
        }
      }, {
        "dataType" : 25,
        "name" : "language",
        "getPSAppDEField" : {
          "name" : "LANGUAGE",
          "codeName" : "Language"
        }
      }, {
        "dataType" : 25,
        "name" : "updateman",
        "getPSAppDEField" : {
          "name" : "UPDATEMAN",
          "codeName" : "UpdateMan"
        }
      }, {
        "format" : "YYYY-MM-DD HH:mm:ss",
        "dataType" : 5,
        "name" : "updatedate",
        "getPSAppDEField" : {
          "name" : "UPDATEDATE",
          "codeName" : "UpdateDate"
        }
      }, {
        "dataType" : 25,
        "name" : "songid",
        "getPSAppDEField" : {
          "name" : "SONGID",
          "codeName" : "SongId"
        }
      }, {
        "format" : "YYYY-MM-DD HH:mm:ss",
        "dataType" : 5,
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        }
      }, {
        "dataType" : 25,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "SONGID",
          "codeName" : "SongId"
        }
      }, {
        "dataType" : 25,
        "name" : "srfdataaccaction",
        "getPSAppDEField" : {
          "name" : "SONGID",
          "codeName" : "SongId"
        },
        "dataAccessAction" : true
      }, {
        "dataType" : 25,
        "name" : "srfmajortext",
        "getPSAppDEField" : {
          "name" : "SONGNAME",
          "codeName" : "SongName"
        }
      } ],
      "getPSDEGridEditItems" : [ {
        "caption" : "建立时间",
        "codeName" : "createdate",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "createdate",
        "getPSAppDEField" : {
          "name" : "CREATEDATE",
          "codeName" : "CreateDate"
        },
        "getPSEditor" : {
          "editorParams" : {
            "contenttype" : "RAW"
          },
          "editorType" : "RAW",
          "name" : "createdate"
        },
        "allowEmpty" : true
      }, {
        "caption" : "歌曲标识",
        "codeName" : "srfkey",
        "enableCond" : 3,
        "ignoreInput" : 0,
        "name" : "srfkey",
        "getPSAppDEField" : {
          "name" : "SONGID",
          "codeName" : "SongId"
        },
        "getPSEditor" : {
          "editorType" : "HIDDEN",
          "name" : "srfkey"
        },
        "allowEmpty" : true
      } ],
      "pagingMode" : 1,
      "pagingSize" : 20,
      "getRemovePSControlAction" : {
        "actionName" : "Remove",
        "actionType" : "DEACTION",
        "dataAccessAction" : "DELETE",
        "name" : "remove",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Remove"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        }
      },
      "sortMode" : "REMOTE",
      "getUpdatePSControlAction" : {
        "actionName" : "Update",
        "actionType" : "DEACTION",
        "dataAccessAction" : "UPDATE",
        "name" : "update",
        "getPSAppDEMethod" : {
          "modelref" : true,
          "id" : "Update"
        },
        "getPSAppDataEntity" : {
          "modelref" : true,
          "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
        }
      },
      "hasWFDataItems" : false,
      "enableColFilter" : false,
      "enableCustomized" : true,
      "enableGroup" : false,
      "enablePagingBar" : true,
      "enableRowEdit" : true,
      "enableRowEditOrder" : false,
      "enableRowNew" : true,
      "forceFit" : false,
      "hideHeader" : false,
      "noSort" : false,
      "singleSelect" : false,
      "name" : "grid",
      "modelid" : "1c0ce80c26d46a131aee3d06338aa7a4",
      "modeltype" : "PSDEGRID"
    }, {
      "controlType" : "SEARCHBAR",
      "name" : "searchbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
      },
      "getPSControlParam" : {
        "id" : "searchbar"
      },
      "quickGroupCount" : -1,
      "quickSearchMode" : 1,
      "quickSearchWidth" : 0,
      "enableFilter" : false,
      "enableGroup" : false,
      "enableQuickSearch" : true,
      "mobileSearchBar" : false
    }, {
      "getCapPSLanguageRes" : {
        "lanResTag" : "DE.LNAME.SONG"
      },
      "caption" : "歌曲",
      "codeName" : "GridViewcaptionbar",
      "controlType" : "CAPTIONBAR",
      "name" : "captionbar",
      "getPSAppDataEntity" : {
        "modelref" : true,
        "path" : "PSSYSAPPS/Web/PSAPPDATAENTITIES/Song.json"
      },
      "getPSControlParam" : { }
    } ]
  },
  "title" : "歌曲表格视图",
  "getTitlePSLanguageRes" : {
    "lanResTag" : "PAGE.TITLE.SONG.GRIDVIEW"
  },
  "viewStyle" : "DEFAULT",
  "viewType" : "DEGRIDVIEW",
  "xDataControlName" : "grid",
  "enableDP" : true,
  "enableExport" : true,
  "enableFilter" : true,
  "enableImport" : true,
  "enableQuickSearch" : true,
  "enableRowEdit" : true,
  "enableSearch" : true,
  "rowEditDefault" : true,
  "modelid" : "AF7ED7F4-8901-4839-B832-4F217855B44D",
  "modeltype" : "PSAPPDEVIEW"
}